Name: libodraw
Version: 20201003
Release: 1
Summary: Library to access optical disc (split) RAW formats
Group: System Environment/Libraries
License: LGPL
Source: %{name}-%{version}.tar.gz
URL: https://github.com/libyal/libodraw
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
          
BuildRequires: gcc          

%description -n libodraw
Library to access optical disc (split) RAW formats

%package -n libodraw-static
Summary: Library to access optical disc (split) RAW formats
Group: Development/Libraries
Requires: libodraw = %{version}-%{release}

%description -n libodraw-static
Static library version of libodraw.

%package -n libodraw-devel
Summary: Header files and libraries for developing applications for libodraw
Group: Development/Libraries
Requires: libodraw = %{version}-%{release}

%description -n libodraw-devel
Header files and libraries for developing applications for libodraw.

%package -n libodraw-tools
Summary: Several tools for accessing optical disc (split) RAW formats
Group: Applications/System
Requires: libodraw = %{version}-%{release} openssl 
 openssl-devel 

%description -n libodraw-tools
Several tools for accessing optical disc (split) RAW formats

%prep
%setup -q

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n libodraw
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/*.so.*

%files -n libodraw-static
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/*.a

%files -n libodraw-devel
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libodraw.pc
%{_includedir}/*
%{_mandir}/man3/*

%files -n libodraw-tools
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sat Oct  3 2020 Joachim Metz <joachim.metz@gmail.com> 20201003-1
- Auto-generated

